// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var JMenu = require( 'JMenu' );
  var PhetApplicationConfig = require( 'PhetApplicationConfig' );
  var PhetApplicationLauncher = require( 'PhetApplicationLauncher' );
  var PiccoloPhetApplication = require( 'PiccoloPhetApplication' );
  var LGResources = require( 'LGResources' );
  var DevTestGameRewardMenuItem = require( 'DevTestGameRewardMenuItem' );
  var LineGameModule = require( 'LineGameModule' );
  var PointSlopeModule = require( 'PointSlopeModule' );
  var SlopeModule = require( 'SlopeModule' );
  var SlopeInterceptModule = require( 'SlopeInterceptModule' );

//Class declaration for GraphingLinesApplication

  /**
   * Constructor for GraphingLinesApplication
   * @param {PhetApplicationConfig} config
   */
  function GraphingLinesApplication( config ) {
    super( config );
    this.addModule( new SlopeModule() );
    this.addModule( new SlopeInterceptModule() );
    this.addModule( new PointSlopeModule() );
    this.addModule( new LineGameModule() );
    var developerMenu = this.getPhetFrame().getDeveloperMenu();
    developerMenu.add( new DevTestGameRewardMenuItem() );
  }

  return inherit( PiccoloPhetApplication, GraphingLinesApplication, {

    main: function( args ) {
      new PhetApplicationLauncher().launchSim( args, this.PROJECT_NAME, "graphing-lines", GraphingLinesApplication.class );
    },


  } );

} );

