// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var ConstantDtClock = require( 'ConstantDtClock' );
  var IUserComponent = require( 'IUserComponent' );
  var SimSharingPiccoloModule = require( 'SimSharingPiccoloModule' );

//Class declaration for LGModule

  /**
   * Constructor for LGModule
   * @param {IUserComponent} userComponent
   * @param {String} title
   */
  function LGModule( userComponent, title ) {
    super( userComponent, title, new ConstantDtClock( 25 ) );
    this.setLogoPanel( null );
    this.setControlPanel( null );
    this.setClockControlPanel( null );
  }

  return inherit( SimSharingPiccoloModule, LGModule, {

  } );

} );

