// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var MathUtil = require( 'MathUtil' );

//Class declaration for Fraction

  /**
   * Constructor for Fraction
   * @param {int} numerator
   * @param {int} denominator
   */
  function Fraction( numerator, denominator ) {
    this.numerator = numerator;
    this.denominator = denominator;
  }

  return inherit( Object, Fraction, {

    toDecimal: function() {
      return numerator / denominator;
    },


    isInteger: function() {
      return MathUtil.isInteger( this.toDecimal() );
    },


    toString: function() {
      return "Fraction[numerator=" + numerator + ", denominator=" + denominator + "]";
    },


  } );

} );

