// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var Vector2D = require( 'Vector2D' );
  var IntegerRange = require( 'IntegerRange' );
  var ObservableList = require( 'ObservableList' );

//Class declaration for Graph

  /**
   * Constructor for Graph
   * @param {IntegerRange} xRange
   * @param {IntegerRange} yRange
   */
  function Graph( xRange, yRange ) {
    this.xRange = xRange;
    this.yRange = yRange;
    this.lines = new ObservableList();
  }

  return inherit( Object, Graph, {

    getWidth: function() {
      return xRange.getLength();
    },


    getHeight: function() {
      return yRange.getLength();
    },


    contains: function( point ) {
      return xRange.contains( point.getX() ) && yRange.contains( point.getY() );
    },


  } );

} );

