// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var Color = require( 'Color' );
  var NumberFormat = require( 'NumberFormat' );
  var Property = require( 'Property' );
  var VoidFunction1 = require( 'VoidFunction1' );
  var PhetFont = require( 'PhetFont' );
  var PText = require( 'PText' );

//Class declaration for DynamicValueNode

  /**
   * Constructor for DynamicValueNode
   * @param {Property<Double>} value
   * @param {NumberFormat} format
   * @param {PhetFont} font
   * @param {Color} color
   * @param {boolean} absoluteValue
   */
  function DynamicValueNode( value, format, font, color, absoluteValue ) {
    this.setFont( font );
    this.setTextPaint( color );
    value.addObserver( new VoidFunction1()
    {

      apply: function( value ) {
        this.setText( format.format( (absoluteValue) ? Math.abs( value ) : value ) );
      }
    }
  )
    ;
  }

  return inherit( PText, DynamicValueNode, {

  } );

} );

