// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var Paint = require( 'Paint' );
  var Rectangle2D = require( 'Rectangle2D' );
  var PPath = require( 'PPath' );
  var PDimension = require( 'PDimension' );

//Class declaration for MinusNode

  /**
   * Constructor for MinusNode
   * @param {PDimension} size
   * @param {Paint} paint
   */
  function MinusNode( size, paint ) {
    this( size.getWidth(), size.getHeight(), paint );
  }

  /**
   * Constructor for MinusNode
   * @param {double} width
   * @param {double} height
   * @param {Paint} paint
   */
  function MinusNode( width, height, paint ) {
    super( new Rectangle2D.Double( 0, 0, width, height ) );
    assert( width > height );
    this.setStroke( null );
    this.setPaint( paint );
  }

  return inherit( PPath, MinusNode, {

  } );

} );

