// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var BasicStroke = require( 'BasicStroke' );
  var Color = require( 'Color' );
  var ShadedSphereNode = require( 'ShadedSphereNode' );

//Class declaration for PlottedPointNode

  /**
   * Constructor for PlottedPointNode
   * @param {double} diameter
   * @param {Color} fillColor
   */
  function PlottedPointNode( diameter, fillColor ) {
    super( diameter, fillColor, this.WHITE, fillColor.darker().darker(), false );
    this.setStrokeAndPaint( new BasicStroke( 1
    f
  ),
    fillColor.darker().darker()
  )
    ;
    this.setPickable( false );
    this.setChildrenPickable( false );
  }

  return inherit( ShadedSphereNode, PlottedPointNode, {

  } );

} );

