// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var Color = require( 'Color' );
  var MessageFormat = require( 'MessageFormat' );
  var PhetFont = require( 'PhetFont' );
  var PhetPText = require( 'PhetPText' );
  var Strings = require( 'Strings' );
  var Line = require( 'Line' );

//Class declaration for SlopeUndefinedNode

  /**
   * Constructor for SlopeUndefinedNode
   * @param {Line} line
   * @param {PhetFont} font
   * @param {Color} color
   */
  function SlopeUndefinedNode( line, font, color ) {
    super( MessageFormat.format( this.SLOPE_UNDEFINED, this.SYMBOL_X, this.x1 ), font, color );
    assert( line.undefinedSlope() );
    this.setPickable( false );
  }

  return inherit( PhetPText, SlopeUndefinedNode, {

  } );

} );

