// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var BasicStroke = require( 'BasicStroke' );
  var Color = require( 'Color' );
  var Paint = require( 'Paint' );
  var Line2D = require( 'Line2D' );
  var PhetPPath = require( 'PhetPPath' );
  var PComposite = require( 'PComposite' );

//Class declaration for UndefinedSlopeIndicator

  /**
   * Constructor for UndefinedSlopeIndicator
   * @param {double} width
   * @param {double} height
   */
  function UndefinedSlopeIndicator( width, height ) {
    this.setPickable( false );
    this.setChildrenPickable( false );
    this.addChild( new PhetPPath( new Line2D.Double( 0, 0, width, height ), STROKE, STROKE_PAINT ) );
    this.addChild( new PhetPPath( new Line2D.Double( 0, height, width, 0 ), STROKE, STROKE_PAINT ) );
  }

  return inherit( PComposite, UndefinedSlopeIndicator, {

  } );

} );

