// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var BasicStroke = require( 'BasicStroke' );
  var Color = require( 'Color' );
  var CursorHandler = require( 'CursorHandler' );
  var ShadedSphereNode = require( 'ShadedSphereNode' );

//Class declaration for LineManipulatorNode

  /**
   * Constructor.
   * @param diameter diameter of the sphere
   * @param baseColor base color use to shade the sphere
   */
  /**
   * Constructor for LineManipulatorNode
   * @param {double} diameter
   * @param {Color} baseColor
   */
  function LineManipulatorNode( diameter, baseColor ) {
    super( diameter, baseColor, this.WHITE, baseColor.darker().darker(), false );
    this.setStrokeAndPaint( new BasicStroke( 1
    f
  ),
    baseColor.darker().darker()
  )
    ;
    this.addInputEventListener( new CursorHandler() );
  }

  return inherit( ShadedSphereNode, LineManipulatorNode, {

  } );

} );

