// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var BasicStroke = require( 'BasicStroke' );
  var Color = require( 'Color' );
  var Image = require( 'Image' );
  var DoubleGeneralPath = require( 'DoubleGeneralPath' );
  var PadBoundsNode = require( 'PadBoundsNode' );
  var PPath = require( 'PPath' );
  var PDimension = require( 'PDimension' );

//Class declaration for SpinnerArrowNode

  /**
   * Constructor for SpinnerArrowNode
   * @param {Color} color
   * @param {SpinnerArrowOrientation} orientation
   */
  function SpinnerArrowNode( color, orientation ) {
    this( color, orientation, true );
  }

  /**
   * Constructor for SpinnerArrowNode
   * @param {Color} color
   * @param {SpinnerArrowOrientation} orientation
   * @param {boolean} outlined
   */
  function SpinnerArrowNode( color, orientation, outlined ) {
    this.setPathTo( new DoubleGeneralPath()
    {

      {
        if ( orientation == this.UP ) {
          this.moveTo( 0, BUTTON_SIZE.getHeight() );
          this.lineTo( BUTTON_SIZE.getWidth() / 2, 0 );
          this.lineTo( BUTTON_SIZE.getWidth(), BUTTON_SIZE.getHeight() );
        }
        else {
          this.moveTo( 0, 0 );
          this.lineTo( BUTTON_SIZE.getWidth() / 2, BUTTON_SIZE.getHeight() );
          this.lineTo( BUTTON_SIZE.getWidth(), 0 );
        }
        this.closePath();
      }
    }
  .
    getGeneralPath()
  )
    ;
    this.setPaint( color );
    this.setStroke( new BasicStroke( 0.25
    f
  ))
    ;
    this.setStrokePaint( outlined ? this.BLACK : color );
  }

  return inherit( PPath, SpinnerArrowNode, {

    toImage: function() {
      return new PadBoundsNode( this ).toImage();
    },


  } );

} );

