// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var Color = require( 'Color' );
  var Image = require( 'Image' );
  var LGColors = require( 'LGColors' );
  var SpinnerArrowOrientation = require( 'SpinnerArrowOrientation' );

//Class declaration for SpinnerStateIndicator

  /**
   * Constructor for SpinnerStateIndicator
   * @param {T} inactive
   * @param {T} highlighted
   * @param {T} pressed
   * @param {T} disabled
   */
  function SpinnerStateIndicator( inactive, highlighted, pressed, disabled ) {
    this.inactive = inactive;
    this.highlighted = highlighted;
    this.pressed = pressed;
    this.disabled = disabled;
  }

  return inherit( Object, SpinnerStateIndicator, {

  } );

} );

