// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var LGModule = require( 'LGModule' );
  var Strings = require( 'Strings' );
  var UserComponents = require( 'UserComponents' );
  var LineGameModel = require( 'LineGameModel' );
  var LineGameCanvas = require( 'LineGameCanvas' );

//Class declaration for LineGameModule

  /**
   * Constructor for LineGameModule

   */
  function LineGameModule() {
    super( this.lineGameTab, this.TAB_LINE_GAME );
    canvas = new LineGameCanvas( new LineGameModel() );
    this.setSimulationPanel( canvas );
  }

  return inherit( LGModule, LineGameModule, {

    activate: function() {
      super.activate();
      canvas.setRewardRunning( rewardWasRunning );
    },


    deactivate: function() {
      super.deactivate();
      rewardWasRunning = canvas.isRewardRunning();
      canvas.setRewardRunning( false );
    },


  } );

} );

