// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var HashMap = require( 'HashMap' );
  var Property = require( 'Property' );
  var IntegerRange = require( 'IntegerRange' );

//Class declaration for GameResults

  /**
   * Constructor for GameResults
   * @param {IntegerRange} levelsRange
   */
  function GameResults( levelsRange ) {
    score = new Property( 0 );
    bestTimes = new HashMap();
    for ( var i = levelsRange.getMin(); i <= levelsRange.getMax(); i++ ) {
      bestTimes.put( i, 0
      L
    )
      ;
    }
    isNewBestTime = false;
  }

  return inherit( Object, GameResults, {

    getBestTime: function( level ) {
      var bestTime = bestTimes.get( level );
      if ( bestTime == null ) {
        bestTime = 0
        L;
      }
      return bestTime;
    },


    updateBestTime: function( level, time ) {
      isNewBestTime = false;
      if ( bestTimes.get( level ) == 0 ) {
        bestTimes.put( level, time );
      }
      else if ( time < bestTimes.get( level ) ) {
        bestTimes.put( level, time );
        isNewBestTime = true;
      }
    },


  } );

} );

