// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  /**
   * Manipulation modes, for use in configuring Game challenges.
   * These indicate which properties of a line the user is able to change.
   * For "Graph the Line" challenges, this specifies what manipulators are provided on the graph.
   * For "Make the Equation" challenges, this specifies which parts of the equation are interactive spinners.
   *
   * @author Chris Malley (cmalley@pixelzoom.com)
   */
  enum
  ManipulationMode
  {

    SLOPE, INTERCEPT, SLOPE_INTERCEPT, POINT, POINT_SLOPE, TWO_POINTS, THREE_POINTS
  }
} );

