// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  /**
   * States during the "play" phase of a game, mutually exclusive. (See GamePhase.)
   * For lack of better names, the state names correspond to the main action that
   * the user can take in that state.  For example. the FIRST_CHECK state is where the user
   * has their first opportunity to press the "Check" button.
   *
   * @author Chris Malley (cmalley@pixelzoom.com)
   */
  enum
  PlayState
  {

    FIRST_CHECK, TRY_AGAIN, SECOND_CHECK, SHOW_ANSWER, NEXT, NONE
  }
} );

