// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var Dimension2D = require( 'Dimension2D' );
  var GameSettingsPanel = require( 'GameSettingsPanel' );
  var VoidFunction0 = require( 'VoidFunction0' );
  var PhetPNode = require( 'PhetPNode' );
  var LineGameConstants = require( 'LineGameConstants' );
  var GamePhase = require( 'GamePhase' );
  var LineGameModel = require( 'LineGameModel' );
  var PNode = require( 'PNode' );
  var PSwing = require( 'PSwing' );

//Class declaration for SettingsNode

  /**
   * Constructor for SettingsNode
   * @param {LineGameModel} model
   * @param {Dimension2D} stageSize
   */
  function SettingsNode( model, stageSize ) {
    var panelNode = new PSwing( new GameSettingsPanel( this.settings, new VoidFunction0()
    {

      apply: function() {
        this.phase.set( this.PLAY );
      }
    }
  ,
    this.BUTTON_COLOR
  ))
    ;
    panelNode.scale( 1.5 );
    this.addChild( panelNode );
    this.setOffset( (stageSize.getWidth() - this.getFullBoundsReference().getWidth()) / 2, (stageSize.getHeight() - this.getFullBoundsReference().getHeight()) / 2 );
  }

  return inherit( PhetPNode, SettingsNode, {

  } );

} );

