// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var LGModule = require( 'LGModule' );
  var Strings = require( 'Strings' );
  var UserComponents = require( 'UserComponents' );
  var LineFormsViewProperties = require( 'LineFormsViewProperties' );
  var PointSlopeModel = require( 'PointSlopeModel' );
  var PointSlopeCanvas = require( 'PointSlopeCanvas' );

//Class declaration for PointSlopeModule

  /**
   * Constructor for PointSlopeModule

   */
  function PointSlopeModule() {
    super( this.pointSlopeTab, this.TAB_POINT_SLOPE );
    this.setSimulationPanel( new PointSlopeCanvas( new PointSlopeModel(), new LineFormsViewProperties() ) );
  }

  return inherit( LGModule, PointSlopeModule, {

  } );

} );

