// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var DoubleRange = require( 'DoubleRange' );
  var Graph = require( 'Graph' );
  var Line = require( 'Line' );

//Class declaration for PointSlopeParameterRange
  return inherit( Object, PointSlopeParameterRange, {

    x1: function( line, graph ) {
      var min = Math.max( this.xRange.getMin(), this.xRange.getMin() - this.run );
      var max = Math.min( this.xRange.getMax(), this.xRange.getMax() - this.run );
      return new DoubleRange( min, max );
    },


    y1: function( line, graph ) {
      var min = Math.max( this.yRange.getMin(), this.yRange.getMin() - this.rise );
      var max = Math.min( this.yRange.getMax(), this.yRange.getMax() - this.rise );
      return new DoubleRange( min, max );
    },


    rise: function( line, graph ) {
      var min = this.yRange.getMin() - this.y1;
      var max = this.yRange.getMax() - this.y1;
      return new DoubleRange( min, max );
    },


    run: function( line, graph ) {
      var min = this.xRange.getMin() - this.x1;
      var max = this.xRange.getMax() - this.x1;
      return new DoubleRange( min, max );
    },


  } );

} );

