// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var GraphControls = require( 'GraphControls' );
  var LineFormsCanvas = require( 'LineFormsCanvas' );
  var LineFormsViewProperties = require( 'LineFormsViewProperties' );
  var PointSlopeModel = require( 'PointSlopeModel' );

//Class declaration for PointSlopeCanvas

  /**
   * Constructor for PointSlopeCanvas
   * @param {PointSlopeModel} model
   * @param {LineFormsViewProperties} viewProperties
   */
  function PointSlopeCanvas( model, viewProperties ) {
    super( model, viewProperties, new PointSlopeGraphNode( model, viewProperties ), new PointSlopeEquationControls( model, viewProperties ), new GraphControls( this.linesVisible, this.slopeVisible, this.standardLines ) );
  }

  return inherit( LineFormsCanvas, PointSlopeCanvas, {

  } );

} );

