// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var LGColors = require( 'LGColors' );
  var LGConstants = require( 'LGConstants' );
  var EquationControls = require( 'EquationControls' );
  var LineFormsViewProperties = require( 'LineFormsViewProperties' );
  var PointSlopeModel = require( 'PointSlopeModel' );

//Class declaration for PointSlopeEquationControls

  /**
   * Constructor for PointSlopeEquationControls
   * @param {PointSlopeModel} model
   * @param {LineFormsViewProperties} viewProperties
   */
  function PointSlopeEquationControls( model, viewProperties ) {
    super( PointSlopeEquationNode.createGeneralFormNode(), this.interactiveLine, this.savedLines, this.interactiveEquationVisible, this.linesVisible, new PointSlopeEquationNode( this.interactiveLine, this.x1Range, this.y1Range, this.riseRange, this.runRange, true, true, true, this.INTERACTIVE_EQUATION_FONT, this.STATIC_EQUATION_FONT, this.STATIC_EQUATION_ELEMENT ) );
  }

  return inherit( EquationControls, PointSlopeEquationControls, {

  } );

} );

