// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var Color = require( 'Color' );
  var ModelViewTransform = require( 'ModelViewTransform' );
  var PhetFont = require( 'PhetFont' );
  var Graph = require( 'Graph' );
  var Line = require( 'Line' );
  var LineNode = require( 'LineNode' );
  var PNode = require( 'PNode' );

//Class declaration for PointSlopeLineNode

  /**
   * Constructor for PointSlopeLineNode
   * @param {Line} line
   * @param {Graph} graph
   * @param {ModelViewTransform} mvt
   */
  function PointSlopeLineNode( line, graph, mvt ) {
    super( line, graph, mvt );
  }

  return inherit( LineNode, PointSlopeLineNode, {

    createEquationNode: function( line, font, color ) {
      return new PointSlopeEquationNode( line, font, color );
    },


  } );

} );

