// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var Property = require( 'Property' );
  var DoubleRange = require( 'DoubleRange' );
  var LGColors = require( 'LGColors' );
  var Line = require( 'Line' );
  var LineFormsModel = require( 'LineFormsModel' );

//Class declaration for SlopeModel

  /**
   * Constructor for SlopeModel

   */
  function SlopeModel() {
    this( new Line( 1, 2, 3, 4, this.INTERACTIVE_LINE ) );
  }

  /**
   * Constructor for SlopeModel
   * @param {Line} interactiveLine
   */
  function SlopeModel( interactiveLine ) {
    super( interactiveLine );
    x1Range = new Property( new DoubleRange( this.xRange ) );
    y1Range = new Property( new DoubleRange( this.yRange ) );
    x2Range = new Property( new DoubleRange( this.xRange ) );
    y2Range = new Property( new DoubleRange( this.yRange ) );
  }

  return inherit( LineFormsModel, SlopeModel, {

  } );

} );

