// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var GraphControls = require( 'GraphControls' );
  var LineFormsCanvas = require( 'LineFormsCanvas' );
  var LineFormsViewProperties = require( 'LineFormsViewProperties' );
  var SlopeModel = require( 'SlopeModel' );

//Class declaration for SlopeCanvas

  /**
   * Constructor for SlopeCanvas
   * @param {SlopeModel} model
   * @param {LineFormsViewProperties} viewProperties
   */
  function SlopeCanvas( model, viewProperties ) {
    super( model, viewProperties, new SlopeGraphNode( model, viewProperties ), new SlopeEquationControls( model, viewProperties ), new GraphControls( this.linesVisible, this.slopeVisible ) );
  }

  return inherit( LineFormsCanvas, SlopeCanvas, {

  } );

} );

