// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var LGColors = require( 'LGColors' );
  var LGConstants = require( 'LGConstants' );
  var EquationControls = require( 'EquationControls' );
  var LineFormsViewProperties = require( 'LineFormsViewProperties' );
  var SlopeModel = require( 'SlopeModel' );

//Class declaration for SlopeEquationControls

  /**
   * Constructor for SlopeEquationControls
   * @param {SlopeModel} model
   * @param {LineFormsViewProperties} viewProperties
   */
  function SlopeEquationControls( model, viewProperties ) {
    super( SlopeEquationNode.createGeneralFormNode(), this.interactiveLine, this.savedLines, this.interactiveEquationVisible, this.linesVisible, new SlopeEquationNode( this.interactiveLine, this.x1Range, this.y1Range, this.INTERACTIVE_EQUATION_FONT, this.STATIC_EQUATION_FONT, this.STATIC_EQUATION_ELEMENT ) );
  }

  return inherit( EquationControls, SlopeEquationControls, {

  } );

} );

