// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var GraphControls = require( 'GraphControls' );
  var LineFormsCanvas = require( 'LineFormsCanvas' );
  var LineFormsViewProperties = require( 'LineFormsViewProperties' );
  var SlopeInterceptModel = require( 'SlopeInterceptModel' );

//Class declaration for SlopeInterceptCanvas

  /**
   * Constructor for SlopeInterceptCanvas
   * @param {SlopeInterceptModel} model
   * @param {LineFormsViewProperties} viewProperties
   */
  function SlopeInterceptCanvas( model, viewProperties ) {
    super( model, viewProperties, new SlopeInterceptGraphNode( model, viewProperties ), new SlopeInterceptEquationControls( model, viewProperties ), new GraphControls( this.linesVisible, this.slopeVisible, this.standardLines ) );
  }

  return inherit( LineFormsCanvas, SlopeInterceptCanvas, {

  } );

} );

