// Copyright 2002-2013, University of Colorado Boulder

define( function( require ) {
  'use strict';

  var inherit = require( 'PHET_CORE/inherit' );

  var LGColors = require( 'LGColors' );
  var LGConstants = require( 'LGConstants' );
  var EquationControls = require( 'EquationControls' );
  var LineFormsViewProperties = require( 'LineFormsViewProperties' );
  var SlopeInterceptModel = require( 'SlopeInterceptModel' );

//Class declaration for SlopeInterceptEquationControls

  /**
   * Constructor for SlopeInterceptEquationControls
   * @param {SlopeInterceptModel} model
   * @param {LineFormsViewProperties} viewProperties
   */
  function SlopeInterceptEquationControls( model, viewProperties ) {
    super( SlopeInterceptEquationNode.createGeneralFormNode(), this.interactiveLine, this.savedLines, this.interactiveEquationVisible, this.linesVisible, new SlopeInterceptEquationNode( this.interactiveLine, this.riseRange, this.runRange, this.y1Range, true, true, this.INTERACTIVE_EQUATION_FONT, this.STATIC_EQUATION_FONT, this.STATIC_EQUATION_ELEMENT ) );
  }

  return inherit( EquationControls, SlopeInterceptEquationControls, {

  } );

} );

